> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Metrics

> Post metrics data for experiment.

Args:
    experiment_id (str): ID of the experiment.
    user (User): User authenticated with api key.

Returns:
    200 OK.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /experiments/{experiment_id}/metrics
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /experiments/{experiment_id}/metrics:
    post:
      summary: Post Metrics
      description: |-
        Post metrics data for experiment.

        Args:
            experiment_id (str): ID of the experiment.
            user (User): User authenticated with api key.

        Returns:
            200 OK.
      operationId: post_metrics_experiments__experiment_id__metrics_post
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitMetricsModel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    SubmitMetricsModel:
      properties:
        metrics:
          additionalProperties: true
          type: object
          title: Metrics
      type: object
      required:
        - metrics
      title: SubmitMetricsModel
      description: Circuit metrics submit payload data model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````